Problem:
I have a .gdb file that contains hourly values, when I see the values in GQIS, the timestamp is sometimes off by one second.

Here is what I will see in QGIS:
```
-- select * from bug
OBJECTID	time	SHAPE
1	2000-01-01T00:59:59.000Z	Point (0 0)
2	2000-01-01T02:00:00.000Z	Point (0 0)
3	2000-01-01T03:00:00.000Z	Point (0 0)
4	2000-01-01T03:59:59.000Z	Point (0 0)
5	2000-01-01T05:00:00.000Z	Point (0 0)
```
But, if I use ogrinfo on the file I will view the timestamps correctly.
```
>> ogrinfo Maps/bug.gdb bug
INFO: Open of `Maps/bug.gdb'
      using driver `OpenFileGDB' successful.

Layer name: Bug
Geometry: Point
Feature Count: 23
Extent: (0.000000, 0.000000) - (0.000000, 0.000000)
Layer SRS WKT:
GEOGCRS[...]
Data axis to CRS axis mapping: 2,1
FID Column = OBJECTID
Geometry Column = SHAPE
time: DateTime
OGRFeature(Bug):1
  time (DateTime) = 2000/01/01 01:00:00+00
  POINT (0.0 0.0)

OGRFeature(Bug):2
  time (DateTime) = 2000/01/01 02:00:00+00
  POINT (0.0 0.0)

OGRFeature(Bug):3
  time (DateTime) = 2000/01/01 03:00:00+00
  POINT (0.0 0.0)

OGRFeature(Bug):4
  time (DateTime) = 2000/01/01 04:00:00+00
  POINT (0.0 0.0)

OGRFeature(Bug):5
  time (DateTime) = 2000/01/01 05:00:00+00
  POINT (0.0 0.0)
```

I converted my file to a geojson and the issue disapear.

Running:
QGIS: 3.36.3-Mainhead
On MacOS: 14.5

I'm attaching both .geojson file and .gdb file along with the DuckDB script used to generate both.